export declare type OnStartOnProgressCallback = ((url: string, itemsLoaded: number, itemsTotal: number) => void) | undefined;
export declare class LoadingManager {
    /** URL modifier function for special I/O cases like GLB and `File` (drag-and-drop) */
    urlModifier: ((url: string) => string) | undefined;
    onStart: OnStartOnProgressCallback;
    onProgress: OnStartOnProgressCallback;
    onLoad: (() => void) | undefined;
    onError: ((url: string) => void) | undefined;
    private isLoading;
    private itemsLoaded;
    private itemsTotal;
    itemStart(url: string): void;
    itemEnd(url: string): void;
    itemError(url: string): void;
    resolveURL(url: string): string;
}
